Subject: Re: [PATCH net-next v13 2/4] ethtool: provide customized dim profile management

From: Jakub Kicinski <[email-masked]>
Date: Tue, 14 May 2024 06:46:26 -0700

On Tue, 14 May 2024 10:08:15 +0800 Heng Qi wrote:
> > We can't make lockdep dependent on NET.
> > People working on other subsystems should be able to use LOCKDEP 
> > with minimal builds.  
> 
> Got it. Then I declare "DIMLIB depends on NET" and clean up other places.

I'm not sure if there's any legit DIM (but not net_dim) user, if there
isn't that SGTM. The RDMA is fine to depend on NET.

> One more friendly request, I see net-next is closed today, but our downstream
> kernel release deadline is 5.20, so I want to test and release the new v14 today,
> is it ok?

You'll need to post as RFC since it can't be applied but you can post
to continue review. Please wait a day or two tho, I'm currently swamped
trying to go thru the PR preparations.